## korganizer 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
# Do NOT add quote
set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION_NUMBER "5.7.3")
set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")

project(korganizer VERSION ${KDEPIM_VERSION_NUMBER})

if (POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif()
set(KF5_VERSION "5.39.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMMarkNonGuiExecutable)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(CheckFunctionExists)
include(ECMGeneratePriFile)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)


set(AKONADI_MIMELIB_VERSION "5.7.3")
set(AKONADI_CONTACT_VERSION "5.7.3")
set(KCALENDARCORE_LIB_VERSION "5.7.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.7.3")
set(KLDAP_LIB_VERSION "5.7.3")
set(KMAILTRANSPORT_LIB_VERSION "5.7.3")
set(CALENDARUTILS_LIB_VERSION "5.7.3")
set(KHOLIDAYS_LIB_VERSION "5.7.3")
set(AKONADICALENDAR_LIB_VERSION "5.7.3")
set(KONTACTINTERFACE_LIB_VERSION "5.7.3")
set(KMIME_LIB_VERSION "5.7.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.7.3")
set(AKONADI_VERSION "5.7.3")

set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
set(KDEPIM_LIB_SOVERSION "5")
set(AKONADINOTES_LIB_VERSION "5.7.3")

set(QT_REQUIRED_VERSION "5.8.0")
option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Widgets Test UiTools)
set(KDEPIM_APPS_LIB_VERSION_LIB "5.7.3")
set(PIMCOMMON_LIB_VERSION_LIB "5.7.3")
set(LIBKDEPIM_LIB_VERSION_LIB "5.7.3")
set(LIBINCIDENCEEDITOR_LIB_VERSION_LIB "5.7.3")
set(CALENDARSUPPORT_LIB_VERSION_LIB "5.7.3")
set(EVENTVIEW_LIB_VERSION_LIB "5.7.3")
set(KCONTACTS_LIB_VERSION "5.7.3")

find_package(KF5AkonadiSearch "5.7.3" CONFIG REQUIRED)
set_package_properties(KF5AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "http://www.kde.org" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")

# Find KF5 package
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Crash ${KF5_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} REQUIRED)
find_package(KF5ItemViews ${KF5_VERSION} REQUIRED)
find_package(KF5JobWidgets ${KF5_VERSION} REQUIRED)
find_package(KF5KCMUtils ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5NewStuff ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Parts ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WindowSystem ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Notifications ${KF5_VERSION} CONFIG REQUIRED)

# Find KdepimLibs Package
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Holidays ${KHOLIDAYS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Ldap ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(Phonon4Qt5 CONFIG REQUIRED)

find_package(KF5KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiNotes ${AKONADINOTES_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5KdepimDBusInterfaces ${KDEPIM_APPS_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5IncidenceEditor ${LIBINCIDENCEEDITOR_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5EventViews ${EVENTVIEW_LIB_VERSION_LIB} CONFIG REQUIRED)
if (NOT APPLE)
    find_package(X11)
endif()

set(KDEPIM_HAVE_X11 ${X11_FOUND})
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
configure_file(config-korganizer.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-korganizer.h )
configure_file(korgac/config-enterprise.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-enterprise.h )
include_directories(${korganizer_SOURCE_DIR} ${korganizer_BINARY_DIR} ${korgac_SOURCE_DIR} ${korgac_BINARY_DIR})
configure_file(korganizer-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/korganizer-version.h @ONLY)

add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_subdirectory(src)
add_subdirectory(korgac)


install( FILES korganizer.renamecategories korganizer.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

add_subdirectory(doc)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== src/kontactplugin/korganizer/autotests/CMakeLists.txt ===
set(summaryeventtest_SRCS  summaryeventtest.cpp ../summaryeventinfo.cpp)

add_executable( summaryeventtest ${summaryeventtest_SRCS} )
add_test(NAME summaryeventtest COMMAND summaryeventtest)
ecm_mark_as_test(summaryeventtest)

target_link_libraries(
  summaryeventtest
  KF5::CalendarCore
  KF5::CalendarUtils
  Qt5::Test
  KF5::I18n
)

## korganizer 17.04.3

=== debian/changelog ===
korganizer (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Add lintian overrides for 'non-dev-pkg-with-shlib-symlink' 

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * Version Breaks/Replaces against kdepim-doc
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:33:39 +0100

korganizer (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ Clive Johnston ]
  * Initial split of korganizer from kdepim

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update QtWebEngine and QtWebChannel dependency dev package names to
    match debian packaging
  * New upstream release (16.12.1)
  * Increase build depend on libkgapi to version 5.3

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)
  * Update copyright file

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:28:22 +0100

kdepim (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Attempt to fix fuzz in kubuntu_debianize_akregator_feed 
  * Another attempt at de-fuzzing patch. 
  * Stop trying to fix and recreated kubuntu_debianize_akregator_default.diff 
  * I don't know what the ignore file is suppose to do, but it is not
    ingnoring. We are failing at the debian patch we do not want. Removing
    from series file. 
  * Add dh_fixperms for two executable desktop files. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:16:10 -0700

kdepim (4:15.12.1-1ubuntu6) xenial; urgency=medium

  * So that didn't actually prevent the tests from running, so remove the
    whole testsetup 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 12 Mar 2016 20:44:27 +0100

kdepim (4:15.12.1-1ubuntu5) xenial; urgency=medium

  * Disable Autopkgtests as the tests don't pass upstream either 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 12 Mar 2016 15:00:17 +0100

kdepim (4:15.12.1-1ubuntu4) xenial; urgency=medium

  * Add missing epoch ktnef build dep. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 19:20:30 -0800

kdepim (4:15.12.1-1ubuntu3) xenial; urgency=medium

  * Add missing epoch for kcontacts build deps. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 19:03:37 -0800

kdepim (4:15.12.1-1ubuntu2) xenial; urgency=medium

  * Fix epochs on build deps. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 15:40:37 -0800

kdepim (4:15.12.1-1ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: Remaining changes:
    Kept all breaks and replaces. 
  * Add missing files. Fix spelling error in control. 
  * Trigger rebuild, no changes. 

  [ Clive Johnston ]
  * Removing etc/xdg catchall in kmail.install
  * Adding two missing files to kmail.install 

  [ Scarlett Clark ]
  * Bump build dependencies version for pim*. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:38:55 +0100

kdepim (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:56 +0100

kdepim (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  [ Clive Johnston ]
  * New upstream release 

  [ Scarlett Clark ]
  * Add version requirement to kpimtextedit build dep. 
  * Add version requirements for akonadi* 

 -- Clive Johnston <clivejo@aol.com>  Sun, 03 Jan 2016 00:22:46 +0000

kdepim (4:15.08.3-1) experimental; urgency=medium

  * New upstream release (15.08.3).

  [ Sandro Knauß ]
  * Update description for kmail. (Closes: #623342)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:04 +0100

kdepim (4:15.08.2-1) experimental; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:58 +0200

kdepim (4:15.08.2-0ubuntu2) UNRELEASED; urgency=medium

  * Drop spambayes.patch, plugin moved to kdepim-addons
  * Update install files

 -- Rohan Garg <rohan@kde.org>  Mon, 14 Dec 2015 16:23:20 +0100

kdepim (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release. 
  * Reset branch to revert all ABI changes. 
  * Fix merge after reset. 
  * batchpatch symbols. Per sitter libmessagviewer
    ABI break does not warrent soversion twiddling.  
  * Fix merge again. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 10 Oct 2015 02:40:23 -0700

kdepim (4:15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).
  * Drop symbols files, please add them back if there is an ABI to maintain.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:22 +0200

kdepim (4:15.08.1-0ubuntu4) wily; urgency=medium

  * Make everything that isn't a lib depend on kdepim-runtime which provides
    runtime assets necessary for correct operation of kdepim.

 -- Harald Sitter <sitter@kde.org>  Wed, 07 Oct 2015 16:29:40 +0200

kdepim (4:15.08.1-0ubuntu3) wily; urgency=medium

  * Update symbols files.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Sep 2015 15:13:27 +0200

kdepim (4:15.08.1-0ubuntu2) wily; urgency=medium

  * No change rebuild against newer kdepimlibs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Sep 2015 10:10:31 +0100

kdepim (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Updated symbols files for i386 and amd64
  * Removed MISSING symbols
  * Update install files

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 17:26:47 +0100

kdepim (4:15.08.0-1) experimental; urgency=medium

  * New upstream release (15.08.0).
  * Update symbols files.
  * Add missing Breaks/Replaces.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 13 Sep 2015 22:06:59 +0200

kdepim (4:15.08.0-0ubuntu3) UNRELEASED; urgency=medium

  * Asterick cannot be used in not-installed. Fixing
    the mass list-missing errors. 



=== debian/control ===
Source: korganizer
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libgrantlee5-dev (>= 5.0.0~),
               libkf5akonadi-dev (>= 4:17.04.3~),
               libkf5akonadicalendar-dev (>= 4:17.04.3~),
               libkf5akonadicontact-dev (>= 4:17.04.3~),
               libkf5akonadimime-dev (>= 4:17.04.3~),
               libkf5akonadinotes-dev (>= 4:17.04.3~),
               libkf5akonadisearch-dev (>= 4:17.04.3~),
               libkf5akonadiserver-dev (>= 4:17.04.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5calendarcore-dev (>= 4:17.04.3~),
               libkf5calendarsupport-dev (>= 4:17.04.3~),
               libkf5calendarutils-dev (>= 4:17.04.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacts-dev (>= 4:17.04.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5eventviews-dev (>= 4:17.04.3~),
               libkf5followupreminder-dev (>= 4:17.04.3~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5gpgmepp-dev (>= 15.12~),
               libkf5grantleetheme-dev (>= 17.04.3~),
               libkf5holidays-dev (>= 17.04.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 17.04.3~),
               libkf5incidenceeditor-dev (>= 17.04.3~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kdepimdbusinterfaces-dev (>= 4:17.04.3~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kontactinterface-dev (>= 17.04.3~),
               libkf5ldap-dev (>= 17.04.3~),
               libkf5libkdepim-dev (>= 4:17.04.3~),
               libkf5mailcommon-dev (>= 4:17.04.3~),
               libkf5mailtransport-dev (>= 17.04.3~),
               libkf5messagecomposer-dev (>= 4:17.04.3~),
               libkf5mime-dev (>= 17.04.3~),
               libkf5mimetreeparser-dev (>= 4:17.04.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:17.04.3~),
               libkf5pimtextedit-dev (>= 17.04.3~),
               libkf5prison-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:17.04.3~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:17.04.3~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libkpimgapi-dev (>= 17.04.3~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://kontact.kde.org/korganizer/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/korganizer
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/korganizer

Package: korganizer
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Breaks: kdepim-doc (<< 4:16.12.0),
        kontact (<< 4:4.13.3-2),
        libkdepim4 (<< 4:4.14.10-3),
        ${kde-l10n:all}
Replaces: kdepim-doc (<< 4:16.12.0),
          kontact (<< 4:4.13.3-2),
          libkdepim4 (<< 4:4.14.10-3),
          ${kde-l10n:all}
Description: calendar and personal organizer
 This package contains KOrganizer, a calendar and scheduling program.
 .
 KOrganizer aims to be a complete program for organizing appointments,
 contacts, projects, etc. KOrganizer natively supports information interchange
 with other calendar applications, through the industry standard vCalendar
 personal data interchange file format. This eases the move from other
 modern PIMs to KOrganizer.
 .

## korganizer 17.12.3

=== debian/changelog ===
korganizer (4:17.12.3-0ubuntu2) bionic; urgency=medium

  * Remove unneeded build dependency on gpgmepp.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 20 Mar 2018 02:21:54 -0500

korganizer (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:29:51 +0000

korganizer (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:45:27 +0000

korganizer (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New build depend on libkf5contacteditor-dev
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:08:50 +0000

=== debian/control ===
--- 
+++ 
@@ -18,68 +18,68 @@
                libboost-graph-dev (>= 1.40.0-2),
                libgpgme11-dev,
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:17.04.3~),
-               libkf5akonadicalendar-dev (>= 4:17.04.3~),
-               libkf5akonadicontact-dev (>= 4:17.04.3~),
-               libkf5akonadimime-dev (>= 4:17.04.3~),
-               libkf5akonadinotes-dev (>= 4:17.04.3~),
-               libkf5akonadisearch-dev (>= 4:17.04.3~),
-               libkf5akonadiserver-dev (>= 4:17.04.3~),
+               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5akonadicalendar-dev (>= 4:17.12.3~),
+               libkf5akonadicontact-dev (>= 4:17.12.3~),
+               libkf5akonadimime-dev (>= 4:17.12.3~),
+               libkf5akonadinotes-dev (>= 4:17.12.3~),
+               libkf5akonadisearch-dev (>= 4:17.12.3~),
+               libkf5akonadiserver-dev (>= 4:17.12.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
-               libkf5calendarcore-dev (>= 4:17.04.3~),
-               libkf5calendarsupport-dev (>= 4:17.04.3~),
-               libkf5calendarutils-dev (>= 4:17.04.3~),
+               libkf5calendarcore-dev (>= 4:17.12.3~),
+               libkf5calendarsupport-dev (>= 4:17.12.3~),
+               libkf5calendarutils-dev (>= 4:17.12.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacts-dev (>= 4:17.04.3~),
+               libkf5contacteditor-dev (>= 4:17.12.3~),
+               libkf5contacts-dev (>= 4:17.12.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
-               libkf5eventviews-dev (>= 4:17.04.3~),
-               libkf5followupreminder-dev (>= 4:17.04.3~),
+               libkf5eventviews-dev (>= 4:17.12.3~),
+               libkf5followupreminder-dev (>= 4:17.12.3~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5gpgmepp-dev (>= 15.12~),
-               libkf5grantleetheme-dev (>= 17.04.3~),
-               libkf5holidays-dev (>= 17.04.3~),
+               libkf5grantleetheme-dev (>= 17.12.3~),
+               libkf5holidays-dev (>= 1:5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 17.04.3~),
-               libkf5incidenceeditor-dev (>= 17.04.3~),
+               libkf5identitymanagement-dev (>= 17.12.3~),
+               libkf5incidenceeditor-dev (>= 17.12.3~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kdepimdbusinterfaces-dev (>= 4:17.04.3~),
+               libkf5kdepimdbusinterfaces-dev (>= 4:17.12.3~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5kontactinterface-dev (>= 17.04.3~),
-               libkf5ldap-dev (>= 17.04.3~),
-               libkf5libkdepim-dev (>= 4:17.04.3~),
-               libkf5mailcommon-dev (>= 4:17.04.3~),
-               libkf5mailtransport-dev (>= 17.04.3~),
-               libkf5messagecomposer-dev (>= 4:17.04.3~),
-               libkf5mime-dev (>= 17.04.3~),
-               libkf5mimetreeparser-dev (>= 4:17.04.3~),
+               libkf5kontactinterface-dev (>= 17.12.3~),
+               libkf5ldap-dev (>= 17.12.3~),
+               libkf5libkdepim-dev (>= 4:17.12.3~),
+               libkf5mailcommon-dev (>= 4:17.12.3~),
+               libkf5mailtransport-dev (>= 17.12.3~),
+               libkf5messagecomposer-dev (>= 4:17.12.3~),
+               libkf5mime-dev (>= 17.12.3~),
+               libkf5mimetreeparser-dev (>= 4:17.12.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:17.04.3~),
-               libkf5pimtextedit-dev (>= 17.04.3~),
+               libkf5pimcommon-dev (>= 4:17.12.3~),
+               libkf5pimtextedit-dev (>= 17.12.3~),
                libkf5prison-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:17.04.3~),
+               libkf5templateparser-dev (>= 4:17.12.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:17.04.3~),
+               libkf5webengineviewer-dev (>= 4:17.12.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libkf5xmlrpcclient-dev (>= 5.31.0~),
-               libkpimgapi-dev (>= 17.04.3~),
+               libkpimgapi-dev (>= 17.12.3~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqt5opengl5-dev (>= 5.6.1~),

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_fixperms:
	$(overridden_command) -Xetc/xdg/autostart/org.kde.korgac.desktop

## korganizer 18.04.3

=== debian/changelog ===
korganizer (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:54:29 +0100

=== debian/control ===
--- 
+++ 
@@ -18,68 +18,68 @@
                libboost-graph-dev (>= 1.40.0-2),
                libgpgme11-dev,
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:17.12.3~),
-               libkf5akonadicalendar-dev (>= 4:17.12.3~),
-               libkf5akonadicontact-dev (>= 4:17.12.3~),
-               libkf5akonadimime-dev (>= 4:17.12.3~),
-               libkf5akonadinotes-dev (>= 4:17.12.3~),
-               libkf5akonadisearch-dev (>= 4:17.12.3~),
-               libkf5akonadiserver-dev (>= 4:17.12.3~),
+               libkf5akonadi-dev (>= 4:18.04.3~),
+               libkf5akonadicalendar-dev (>= 4:18.04.3~),
+               libkf5akonadicontact-dev (>= 4:18.04.3~),
+               libkf5akonadimime-dev (>= 4:18.04.3~),
+               libkf5akonadinotes-dev (>= 4:18.04.3~),
+               libkf5akonadisearch-dev (>= 4:18.04.3~),
+               libkf5akonadiserver-dev (>= 4:18.04.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
-               libkf5calendarcore-dev (>= 4:17.12.3~),
-               libkf5calendarsupport-dev (>= 4:17.12.3~),
-               libkf5calendarutils-dev (>= 4:17.12.3~),
+               libkf5calendarcore-dev (>= 4:18.04.3~),
+               libkf5calendarsupport-dev (>= 4:18.04.3~),
+               libkf5calendarutils-dev (>= 4:18.04.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:17.12.3~),
-               libkf5contacts-dev (>= 4:17.12.3~),
+               libkf5contacteditor-dev (>= 4:18.04.3~),
+               libkf5contacts-dev (>= 4:18.04.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
-               libkf5eventviews-dev (>= 4:17.12.3~),
-               libkf5followupreminder-dev (>= 4:17.12.3~),
+               libkf5eventviews-dev (>= 4:18.04.3~),
+               libkf5followupreminder-dev (>= 4:18.04.3~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 17.12.3~),
+               libkf5grantleetheme-dev (>= 18.04.3~),
                libkf5holidays-dev (>= 1:5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 17.12.3~),
-               libkf5incidenceeditor-dev (>= 17.12.3~),
+               libkf5identitymanagement-dev (>= 18.04.3~),
+               libkf5incidenceeditor-dev (>= 18.04.3~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kdepimdbusinterfaces-dev (>= 4:17.12.3~),
+               libkf5kdepimdbusinterfaces-dev (>= 4:18.04.3~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5kontactinterface-dev (>= 17.12.3~),
-               libkf5ldap-dev (>= 17.12.3~),
-               libkf5libkdepim-dev (>= 4:17.12.3~),
-               libkf5mailcommon-dev (>= 4:17.12.3~),
-               libkf5mailtransport-dev (>= 17.12.3~),
-               libkf5messagecomposer-dev (>= 4:17.12.3~),
-               libkf5mime-dev (>= 17.12.3~),
-               libkf5mimetreeparser-dev (>= 4:17.12.3~),
+               libkf5kontactinterface-dev (>= 18.04.3~),
+               libkf5ldap-dev (>= 18.04.3~),
+               libkf5libkdepim-dev (>= 4:18.04.3~),
+               libkf5mailcommon-dev (>= 4:18.04.3~),
+               libkf5mailtransport-dev (>= 18.04.3~),
+               libkf5messagecomposer-dev (>= 4:18.04.3~),
+               libkf5mime-dev (>= 18.04.3~),
+               libkf5mimetreeparser-dev (>= 4:18.04.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:17.12.3~),
-               libkf5pimtextedit-dev (>= 17.12.3~),
+               libkf5pimcommon-dev (>= 4:18.04.3~),
+               libkf5pimtextedit-dev (>= 18.04.3~),
                libkf5prison-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:17.12.3~),
+               libkf5templateparser-dev (>= 4:18.04.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:17.12.3~),
+               libkf5webengineviewer-dev (>= 4:18.04.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libkf5xmlrpcclient-dev (>= 5.31.0~),
-               libkpimgapi-dev (>= 17.12.3~),
+               libkpimgapi-dev (>= 18.04.3~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqt5opengl5-dev (>= 5.6.1~),
@@ -95,7 +95,7 @@
                qtwebengine5-dev (>= 5.6.1~),
                shared-mime-info,
                xsltproc,
-               zlib1g-dev
+               zlib1g-dev,
 Standards-Version: 3.9.8
 Homepage: http://kontact.kde.org/korganizer/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/korganizer
